Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::TermBuffer Class Reference

`#include <TermBuffer.h>`

Inheritance diagram for Lucene::TermBuffer:

## Public Member Functions

| TermBuffer ()
virtual | ~TermBuffer ()
virtual String | getClassName ()
boost::shared_ptr< TermBuffer > | shared_from_this ()
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
void | setPreUTF8Strings ()
| Call this if the IndexInput passed to `read` stores terms in the "modified UTF8" format.
void | read (const IndexInputPtr &input, const FieldInfosPtr &fieldInfos)
void | set (const TermPtr &term)
void | set (const TermBufferPtr &other)
void | reset ()
TermPtr | toTerm ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

int32_t | compareChars (wchar_t *chars1, int32_t len1, wchar_t *chars2, int32_t len2)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

String | field
TermPtr | term
bool | preUTF8Strings
UnicodeResultPtr | text
UTF8ResultPtr | bytes
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ TermBuffer()

Lucene::TermBuffer::TermBuffer | ( |  | ) |

Referenced by _getClassName().

## ◆ ~TermBuffer()

virtual Lucene::TermBuffer::~TermBuffer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::TermBuffer::_getClassName | ( |  | ) |

inline static

References TermBuffer().

## ◆ clone()

virtual LuceneObjectPtr Lucene::TermBuffer::clone | ( | const LuceneObjectPtr & | other = LuceneObjectPtr() | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

## ◆ compareChars()

int32_t Lucene::TermBuffer::compareChars | ( | wchar_t * | chars1,
|  | int32_t | len1,
|  | wchar_t * | chars2,
|  | int32_t | len2 )

protected

## ◆ compareTo()

virtual int32_t Lucene::TermBuffer::compareTo | ( | const LuceneObjectPtr & | other | ) |

virtual

Compare two objects.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::TermBuffer::getClassName | ( |  | ) |

inline virtual

## ◆ read()

void Lucene::TermBuffer::read | ( | const IndexInputPtr & | input,
|  | const FieldInfosPtr & | fieldInfos )

## ◆ reset()

void Lucene::TermBuffer::reset | ( |  | ) |

## ◆ set() [1/2]

void Lucene::TermBuffer::set | ( | const TermBufferPtr & | other | ) |

## ◆ set() [2/2]

void Lucene::TermBuffer::set | ( | const TermPtr & | term | ) |

References term.

## ◆ setPreUTF8Strings()

void Lucene::TermBuffer::setPreUTF8Strings | ( |  | ) |

Call this if the IndexInput passed to `read` stores terms in the "modified UTF8" format.

## ◆ shared_from_this()

boost::shared_ptr< TermBuffer > Lucene::TermBuffer::shared_from_this | ( |  | ) |

inline

## ◆ toTerm()

TermPtr Lucene::TermBuffer::toTerm | ( |  | ) |

## Field Documentation

## ◆ bytes

UTF8ResultPtr Lucene::TermBuffer::bytes

protected

## ◆ field

String Lucene::TermBuffer::field

protected

## ◆ preUTF8Strings

bool Lucene::TermBuffer::preUTF8Strings

protected

## ◆ term

TermPtr Lucene::TermBuffer::term

protected

Referenced by set().

## ◆ text

UnicodeResultPtr Lucene::TermBuffer::text

protected

The documentation for this class was generated from the following file:

- TermBuffer.h

clucene.sourceforge.net